#include <iostream>                 ,
using namespace std;
void unos(long int x[],long int n){
for(int i=0;i<n;i++)
    cin>>x[i];
}
int main()
{
    long int x[20000],n,k,i;
    cin>>n>>k;
    unos(x,n);
    for(i=0;i<n;i++)
        if(x[i]==k)
        break;
   if(i!=n-1)
    cout<<x[i+1];
   else
    cout<<x[0];
   return 0; 
}